From d2c4a279942a4575b80618719646d0767c077e96 Mon Sep 17 00:00:00 2001
From: Guillaume Pitel <guillaume.pitel@exensa.com>
Date: Tue, 6 Mar 2012 17:20:24 +0100
Subject: [PATCH] Added try/catch around EndRequest Record sending (Bug 3765
 https://bugzilla.xamarin.com/show_bug.cgi?id=3765)

---
 src/Mono.WebServer.FastCgi/Connection.cs |   11 +++++++----
 1 file changed, 7 insertions(+), 4 deletions(-)

diff --git a/src/Mono.WebServer.FastCgi/Connection.cs b/src/Mono.WebServer.FastCgi/Connection.cs
index 6c70824..0e9ef64 100644
--- a/src/Mono.WebServer.FastCgi/Connection.cs
+++ b/src/Mono.WebServer.FastCgi/Connection.cs
@@ -319,10 +319,13 @@ public void Run ()
 		{
 			EndRequestBody body = new EndRequestBody (appStatus,
 				protocolStatus);
-			
-			if (IsConnected)
-				new Record (1, RecordType.EndRequest, requestID,
-					    body.GetData ()).Send (socket);
+			try {	
+				if (IsConnected)
+					new Record (1, RecordType.EndRequest, requestID,
+						    body.GetData ()).Send (socket);
+			} catch (System.Net.Sockets.SocketException) {
+			}
+				
 			
 			int index = GetRequestIndex (requestID);
 			
-- 
1.7.10

